# init.h File Reference

`#include <vmm/vmm.h>`
`#include <vfs/vfs.h>`
`#include <isa/8259.h>`
`#include <sys/idt.h>`
`#include <ubixos/sched.h>`
`#include <isa/pit.h>`
`#include <isa/atkbd.h>`
`#include <ubixos/time.h>`
`#include <net/net.h>`
`#include <isa/ne2k.h>`
`#include <devfs/devfs.h>`
`#include <pci/pci.h>`
`#include <ubixfs/ubixfs.h>`
`#include <isa/fdc.h>`
`#include <ubixos/tty.h>`
`#include <ufs/ufs.h>`
`#include <ubixos/static.h>`
`#include <pci/hd.h>`
`#include <sys/kern_sysctl.h>`
`#include <ubixos/vitals.h>`

Go to the source code of this file.

## Typedefs

typedef int(*) | intFunctionPTR (void)

## Variables

intFunctionPTR | init_tasks []
int | init_tasksTotal = sizeof(init_tasks)/sizeof(intFunctionPTR)

## Typedef Documentation

typedef int(*) intFunctionPTR(void)

Definition at line 54 of file init.h.

## Variable Documentation

intFunctionPTR init_tasks[]

Initial value:

     {
      vmm_init,
      static_constructors,
      i8259_init,
      idt_init,
      vitals_init,
      sysctl_init,
      vfs_init,
      sched_init,
      pit_init,
      atkbd_init,
      time_init,

      devfs_init,

      tty_init,
      ufs_init,
      initHardDisk,
      }

Definition at line 56 of file init.h.

Referenced by kmain().

int init_tasksTotal = sizeof(init_tasks)/sizeof(intFunctionPTR)

Definition at line 79 of file init.h.

Referenced by kmain().